curl -X PATCH "https://api.scanova.io/bulk-operation/download/format/bo-8f3a1c/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "result_file_format": "csv" }'
{
"operation_id": "bo-8f3a1c",
"result_file_format": "csv",
"result_file_size": "500",
"folder": null
}
批量操作
重新生成批量操作的结果文件
PATCH /bulk-operation/download/format//
PATCH
/
bulk-operation
/
download
/
format
/
{operation_id}
/
curl -X PATCH "https://api.scanova.io/bulk-operation/download/format/bo-8f3a1c/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "result_file_format": "csv" }'
{
"operation_id": "bo-8f3a1c",
"result_file_format": "csv",
"result_file_size": "500",
"folder": null
}
在 Management API 主机(
此操作会启动一次异步重新生成——响应确认请求已被接受,而非新文件已经就绪。轮询列出批量操作并关注
api.scanova.io)上更改批量操作的结果文件格式(或目标文件夹)并重新触发生成,使用您的原始 Management API 密钥进行身份验证。
PATCH https://api.scanova.io/bulk-operation/download/format/{operation_id}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
必填
操作的
operation_id。string
重新生成结果所用的文件格式,例如
csv、xlsx、zip。integer
用于保存重新生成结果的文件夹 id。
curl -X PATCH "https://api.scanova.io/bulk-operation/download/format/bo-8f3a1c/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "result_file_format": "csv" }'
{
"operation_id": "bo-8f3a1c",
"result_file_format": "csv",
"result_file_size": "500",
"folder": null
}
result_file 以获取更新后的下载 URL。如果 operation_id 不是该账户拥有的操作,则返回 404。
相关内容
- 获取批量操作的结果文件设置——更改前检查当前设置。
- 列出批量操作——等待重新生成的文件。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
路径参数
响应
Regeneration started.
此页面对您有帮助吗?